function globalStiffnessMatrix = getGlobalStiffnessMatrix(localStiffnessMatrices, nodesForAllTriangles, isNodeOnBoundary, n)

globalStiffnessMatrix = sparse(n^2, n^2) ;

 for i=1:3
     for j=1:3
        currentI = nodesForAllTriangles(:,i) ;
        currentJ = nodesForAllTriangles(:,j) ;
        [indicesI, indicesJ, keptIndices] = mapFromAllNodePairsToInnerNodePairs(currentI, currentJ, isNodeOnBoundary) ;
        globalStiffnessMatrix = globalStiffnessMatrix+sparse(indicesI,indicesJ,squeeze(localStiffnessMatrices(i,j,keptIndices)),n^2,n^2) ;
     end
 end