function [b1, b12, b2, d] = getTriangleScalars(coordinatesForAllNodes, nodesForAllTriangles)

z = @(i,j) coordinatesForAllNodes(nodesForAllTriangles(:,i),j) ;
d = abs((z(2,1)-z(1,1)).*(z(3,2)-z(1,2))-(z(3,1)-z(1,1)).*(z(2,2)-z(1,2))) ;
b1 = (z(3,2)-z(1,2)).^2+(z(1,1)-z(3,1)).^2 ;
b12 = (z(1,2)-z(2,2)).*(z(3,2)-z(1,2))+(z(2,1)-z(1,1)).*(z(1,1)-z(3,1)) ;
b2 = (z(1,2)-z(2,2)).^2+(z(2,1)-z(1,1)).^2 ;